WHAT IS THIS:

This is a sample script written in NODE JS to demonstrate how to create and update Automated Tests in Enterprise Tester from End-End.

The Script works as follows:
1 - Creates an Automated Test Script in Enterprise Tester (of type JUNIT)
2 - Creates a Script Assignment using the Automated Test from the step above
3 - Creates a Script Run for the Test Assignment and uploads a mock string of test results in XML format
4 - Retrieves the Id of the Script Run
5 - Uploads an ATTAHCMENT file to the script run
6 - Updates the Note field for the Root node of the Automated Test Run


HOW TO CONFIGURE:
1 - open the app.js file
2 - init the constants at the top of the script, configure them with the right parameters,  ( ETURL, ETUSER, ETPASSWORD, SCRIPT PACKAGE ID and EXECUTION PACKAGE ID) note all declared in upper case.
3 - save app.js


HOW TO INSTALL:
1 - install nodejs if you haven't got it already (https://nodejs.org/en/download/)
2 - Open a command line terminal, navigate to where the app.js file is (should be the same folder as this README!)
3 - run npm install , you only need to do this once

HOW TO RUN:
1 - Open a command line terminal, navigate to where the app.js file is (should be the same folder as this README!)
2 - in the command line terminal run the following command: node ./app.js


The script will execute and will output the results to the console you can then go to ET and check the results.

